Bug 695889 - Search Bar Saved Search issues
Search Bar Saved Search issues
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
4.0.0.Beta2
All All
urgent Severity medium (vote)
: ---
: ---
Assigned To: Jay Shaughnessy
Mike Foley
:
Depends On:
Blocks: rhq41 rhq41-ui
  Show dependency treegraph
 
Reported: 2011-04-12 17:25 EDT by Jay Shaughnessy
Modified: 2013-09-02 03:27 EDT (History)
3 users (show)

See Also:
Fixed In Version: 4.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-02 03:27:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jay Shaughnessy 2011-04-12 17:25:28 EDT
A couple of things when playing with saved searches:

1) The saved search name is clipped, both in edit and static/display modes.

2) When I select a saved search the search does not execute until I click in the search bar box and hit return. Perhaps this is by design but it seems clunky.

3) Server side NPE.  Not sure when I generated this but this is probably enough to go by:

Caused by: java.lang.NullPointerException at
at org.rhq.enterprise.server.search.SavedSearchManagerBean.validateManipulatePermission(SavedSearchManagerBean.java:106)
at        org.rhq.enterprise.server.search.SavedSearchManagerBean.deleteSavedSearch(SavedSearchManagerBean.java:79)
Comment 1 Jay Shaughnessy 2011-04-12 17:31:12 EDT
There also seem to be issues selecting from the list of saved searches. the click is often ignored, especially immediately after an actual search event (like clicking in the bar and hitting return).
Comment 2 Jay Shaughnessy 2011-08-22 11:53:03 EDT
Another issue somewhat related.  When selecting from the drop downs the
selected value is pre-filled into the text box. But focus is not given
to the text box. This is confusing, I think. I expect to be able to
click and return to execute the query I just clicked on.  But currently
I have to explicitly click on the drop down entry, then click on the
text box, then hit return.
Comment 3 Jay Shaughnessy 2011-08-25 15:15:44 EDT
master commit: 0540bcd236373f420235c9e30a6ac3ae285728b7

This is the last of a few commits surrounding search bar work. Several
cumulative changes including:

- Keep focus in the text box as much as possible. This allows more
natural editing of the pattern, and avoids causing unanticipated 
browser back when just trying to perform text box delete.

- A lot of css tweaks to get sizings such that the saved search
name text box and label are shown correctly.

- Fixes to saved search CRUD, simplify certain things

- Add I18N, this stuff still used string literals

- simplify behavior of saved search name/update such that it requires
a return to get applied. Change onBlur to just close the edit box,
thus avoiding duplicate storage/update of the saved search.

- Change look of saved search entries, different colors/fonts/indent


TEST Notes:  So this was a lot of changes to hopefully make the search
bar more usable, both from defect fix and intuitiveness point of view.
I suggest just playing with the search bar and saved searches as if it
were the first time, entering *new* BZs for anything that seems broken.

Make sure to try this on all supported browsers.

Note, there is one known issue already. I'll create that BZ and add a
comment below.
Comment 4 Sunil Kondkar 2011-08-26 08:09:18 EDT
Tested on build#351 (Version: 4.1.0-SNAPSHOT Build Number: 3003087)

Tested on Firefox 3.6.3. Verified that When selecting saved searches from the drop downs the focus is given to the text box. The saved search name is not clipped. Verified the saved search CRUD. No NPE is observed while testing saved search.

I observed one issue : When i am selecting a saved search for the first time by clicking the saved search from dropdown, the click is ignored. It works when i try it second time. (There is already a bug on this - Bug#733487)

I will be executing the search test cases in TCMS for firefox and IE browsers.
Comment 5 Sunil Kondkar 2011-08-30 09:00:05 EDT
Verified on Firefox 3.6.3 on latest master build#364.

Also verified on IE versions 7 (IE7.0.5730.11) and IE8(IE 8.0.6001.19120) using the build from http://hudson.qa.jboss.com/hudson/view/RHQ/job/rhq-master-gwt-locales/80/ (As this build builds the smartGWT for all browsers)

Verified that the focus is given to the text box. The saved search name is not
clipped. Verified the saved search CRUD. 

Marking as verified.
Comment 6 Heiko W. Rupp 2013-09-02 03:27:57 EDT
Bulk closing of issues that were VERIFIED, had no target release and where the status changed more than a year ago.

Note You need to log in before you can comment on or make changes to this bug.